Re: External Deps: Minimal Python dependency

On Thu, Jul 24, 2008 at 12:01 AM, Alberto Ruiz <aruiz gnome org> wrote:
>> [1] Python 2.6 is in alpha now, it is scheduled for release in October.
>> Python 2.4 is *not* supported. The Python release manager for 2.6 could
>> not even get backported security fixes for 2.4 released. Distro are are
>> patching Python 2.4 themselves to address security concerns.
> I think that what distributions are delivering is more relevant for us
> than the python development schedule since it is what people are gonna
> use at the end of the day.

Let's just declare 2.24 to be the last release supporting python 2.4.
After that everything is guaranteed to work on 2.5 (and 2.6/30 after
say 2.28). 2 years should be enough to evaluate and ship stable
software :)

Patryk Zawadzki
PLD Linux Distribution

[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]